Bug 1332139 (CVE-2016-3713) - CVE-2016-3713 kernel: kvm: out-of-bounds access in set_var_mtrr_msr
Summary: CVE-2016-3713 kernel: kvm: out-of-bounds access in set_var_mtrr_msr
Status: CLOSED NOTABUG
Alias: CVE-2016-3713
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160516,repor...
Keywords: Security
Depends On: 1336410
Blocks: 1332140
TreeView+ depends on / blocked
 
Reported: 2016-05-02 11:04 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
28 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:51:05 UTC


Attachments (Terms of Use)
Proposed patch (1.56 KB, patch)
2016-05-02 11:08 UTC, Adam Mariš
no flags Details | Diff

Description Adam Mariš 2016-05-02 11:04:39 UTC
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) with variable Memory Type Range Registers(MTRR) support is vulnerable to an out-of-bounds r/w access issue. It could occur while accessing processor's MTRRs via ioctl(2) calls.

A privileged user inside guest could use this flaw to manipulate host kernel's memory bytes leading to information disclosure or crashing the kernel resulting in DoS.

Upstream patch:
---------------
  -> https://lkml.org/lkml/2016/5/17/350

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/05/16/2

Comment 1 Adam Mariš 2016-05-02 11:04:45 UTC
Acknowledgments:

Name: David Matlack (Google)

Comment 2 Adam Mariš 2016-05-02 11:08 UTC
Created attachment 1152898 [details]
Proposed patch

Comment 3 Prasad J Pandit 2016-05-12 10:57:01 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 4 Prasad J Pandit 2016-05-16 12:02:12 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1336410]

Comment 5 Fedora Update System 2016-05-24 18:02:48 UTC
kernel-4.5.5-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-01 20:23:07 UTC
kernel-4.4.11-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-06-02 14:57:34 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.